<template>
    <div>
        <nav class="header">
            <div class="menu">
                <router-link class="menu-link" to="/">Головна</router-link>
                <router-link class="menu-link" to="/employees">Співробітники фірми</router-link>
                <router-link class="menu-link" to="/employees/config">Додати співробітника</router-link>
            </div>
        </nav>
    </div>
</template>

<script>
export default {
    name: 'MyHeader',
}
</script>

<style lang="scss" scoped>
.header {
    background-color: darkblue;
    backdrop-filter: blur(10px);
    padding: 15px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
}

.menu {
    display: flex;
    gap: 20px;
    font-size: 150%;
}

.menu-link {
    text-decoration: none;
    color: #ffffff;
    font-weight: bold;
    padding: 10px;
    border-radius: 10px;

    &:hover {
        background-color: #f0f0f0;
        color: blue;
    }
}
</style>